Bug 144476 - game restart does not reset the game timer
Summary: game restart does not reset the game timer
Status: RESOLVED FIXED
Alias: None
Product: kshisen
Classification: Applications
Component: general (show other bugs)
Version: 1.5.1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Mauricio Piacentini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-21 03:27 UTC by jcox
Modified: 2008-10-24 13:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
This patch fixes the issue ... please review :) (1.39 KB, patch)
2008-10-23 15:54 UTC, Frederik Schwarzer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jcox 2007-04-21 03:27:41 UTC
Version:           1.5.1 (using KDE 3.5.6, compiled sources)
Compiler:          Target: i586-mandriva-linux-gnu
OS:                Linux (i686) release 2.6.20.4-tmb-desktop-4mdvsmp

When selecting game restart from the Game menu, the game restarts but the game timer just continues on without stopping or resetting to 0.
This behavior started with upgrade to KDE 3.56 .
Comment 1 Dmitry Suzdalev 2008-01-12 18:08:00 UTC
Reassigning to the current maintainer
Comment 2 Mauricio Piacentini 2008-01-13 00:44:07 UTC
Hi. I am helping with KShisen for KDE 4, and was just assigned to these older kshisen bugs. I can confirm that this bug is still present in the version of KShisen shipped with KDE 4.0. I will attempt to correct it in the next release.
Comment 3 Frederik Schwarzer 2008-10-23 15:24:16 UTC
This is still valid for current trunk that will be 4.2 soon.
Comment 4 Frederik Schwarzer 2008-10-23 15:54:17 UTC
Created attachment 28095 [details]
This patch fixes the issue ... please review :)

This patch fixes the issue by introducing a public resetTimer() method for the class Board that is called from class App whenever needed.
Comment 5 Frederik Schwarzer 2008-10-24 13:22:07 UTC
SVN commit 875409 by schwarzer:

"Game -> Restart Game" resets the game timer now

BUG:144476


 M  +1 -0      app.cpp  
 M  +9 -4      board.cpp  
 M  +1 -0      board.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=875409